import { defineConfig } from 'astro/config';

import tailwindcss from '@tailwindcss/vite';

const host = process.env.HOST || 'localhost';
const port = process.env.PORT || '4321';

export default defineConfig({
  site: process.env.SITE_URL || `http://${host}:${port}`,

  server: {
    host,
    port: parseInt(port, 10),
  },

  vite: {
    plugins: [tailwindcss()],
  },
});